---
nameOverride: ""
fullnameOverride: ""

image:
  repository: quay.io/keycloak/keycloak
  pullPolicy: IfNotPresent
  # Overrides the image tag whose default is the chart appVersion.
  tag: "19.0.3"

init1:
  image:
    repository: bitnami/postgresql
    pullPolicy: ""
    tag: 13

init2:
  image:
    repository: registry.gitlab.com/commonground/huishoudboekje/keycloak-tools/keycloak-tools
    pullPolicy: ""
    tag: 1.0.1

podSecurityContext: {}

securityContext:
  capabilities:
    drop:
      - ALL
  #readOnlyRootFilesystem: true
  runAsNonRoot: true
  allowPrivilegeEscalation: false

service:
  type: ClusterIP
  port: 80

resources:
  limits:
    cpu: "1"
    memory: 1Gi
  requests:
    cpu: 100m
    memory: 512Mi

authentication:
  username: admin
  password: admin

existingSecrets:
  authentication:
    name: ""
    username: ""
    password: ""
  database:
    name: ""
    host: ""
    port: ""
    dbName: ""
    username: ""
    password: ""
  users:
    name: ""
    json: ""

database:
  host: ""
  port: ""
  dbName: keycloak
  username: keycloak
  password: keycloak

users: []

ingress:
  extraAnnotations: {}
  enabled: true

kc_log_level: info

extraEnvVars: []
